@import url("/general/styles/burgerBtn.css");

@font-face {
    font-family: 'webIcons';
    src: url(/fonts/webIcons-Regular-v6.ttf);
    font-style: normal;
}

.myIcons {
    font-family: 'webIcons';
    unicode-bidi: isolate;

}

@font-face {
    font-family: 'RaviFaNum';
    src: url('/fonts/RaviFaNum-VF.woff2') format('woff2-variations');
    ;
    font-weight: 100 900;
}

@font-face {
    font-family: 'Ravi';
    src: url('/fonts/Ravi-VF.otf');
}

.fade-out {
    animation: fadeOut 0.5s forwards;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        transform: scale(0.9);
    }
}

:root {
    --color1: #265D5C;
    --color1Light: #d2e3e3;
    --color2: #DBB00A;
    --color3: #D8C195;
    --color3Light: #f4f0e6;
    --pageBackground: #fdfcfa;
    --swiper-theme-color: var(--color2) !important;
    --topImageHeight: clamp(150px, 25vw, 300px);
    --menuShadow: 0 0 0.52083vw 0 rgba(0, 0, 0, .2);
    --burgerBtnColor: var(--color1);
}

@media (min-width: 1000px) {
    .notInDesktop {
        display: none !important;
    }
}

@media (max-width: 999px) {
    .notInMobile {
        display: none !important;
    }
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;

    box-sizing: border-box;
}

body {
    min-height: 100svh;
    margin: 0;
    font-size: .8rem;
    background-color: var(--pageBackground);
    display: flex;
    flex-direction: column;
    width: 100%;
    --bodyFont: RaviFaNum;
    font-family: RaviFaNum;
}

body._fa,
body._ar {
    direction: rtl;
    --currency: ' Ã˜ÂªÃ™Ë†Ã™â€¦Ã˜Â§Ã™â€ ';
    line-height: 2rem;
}

body._en {
    direction: ltr;
    --currency: ' \20AC';
    --bodyFont: Vazirmatn_en;
    font-family: Vazirmatn_en;
}

input,
select,
textarea,
button {
    font-family: var(--bodyFont);
    border: 1px solid gainsboro;
    border-radius: 2px;
    background-color: rgba(0, 0, 0, 0);
    max-width: 100%;
    padding: 8px 15px;
    outline: none;
    accent-color: var(--color1);

    /* margin: 10px; */
    &:disabled {
        background-color: #eee;
    }
}

button,
input[type=submit],
input[type=reset],
.button {
    display: inline-block;
    text-align: center;
    background-color: var(--color1);
    color: white;
    white-space: nowrap;
    cursor: pointer;
    padding: 10px;
    border-radius: 12px;
}

button:hover,
input[type=submit]:hover,
input[type=reset]:hover,
.button:hover {
    background-color: var(--color2);
    color: white !important;
}

.button {
    text-align: center;
}

main {
    flex-grow: 2;
    display: flex;
    flex-direction: column;

    section {
        flex-grow: 2;
    }
}

.flexColumn {
    display: flex;
    flex-direction: column;

    >.flexGrow {
        flex-grow: 2;
    }
}

p {
    text-align: justify;
    margin: 0;
}

a {
    cursor: pointer;
    text-decoration: none;
    color: black;
}

a:link:hover {
    color: var(--color2);
}


input:user-invalid {
    border: 1px solid red;
}

select:user-invalid {
    border: 1px solid red;
}

button {
    cursor: pointer;

    &:disabled {
        cursor: unset;
        background-color: gray;
    }
}

h2 {
    width: 100%;
    border-bottom: 1px solid gainsboro;
    margin-bottom: 20px;
    font-size: 18px;
    color: var(--color1);
}

small {
    /* color: gray !important; */
    font-size: 80%;
}

.english {
    font-family: Arial, Helvetica, sans-serif;
}

.enNum {
    font-family: Arial;
}

._fa .onlyEn {
    display: none !important;
}

._en .onlyFa {
    display: none !important;
}

.col1Start {
    grid-column-start: 1;
}

.colToEnd {
    grid-column: auto / -1;
}

.colTotal {
    grid-column: 1 / -1;
}

@media print {
    .noPrint {
        display: none !important;
    }
}

.flexBreak {
    flex-basis: 100%;
    height: 0;
}

.w1200px {
    width: min(100%, 1200px);
    margin-inline: auto;
    padding-inline: 3vw;
}

.w600px {
    width: min(100%, 600px);
    margin-inline: auto;
    padding-inline: 3vw;

}

.noPadding {
    padding: 0;
}

.w100 {
    width: 100%;
    padding-inline: 3vw;
}


.cols-1-2 {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: start;
    margin-right: auto;
    margin-left: auto;
}

.cols-1-2> :first-child {
    flex-basis: 300px;
    flex-grow: 1;
}

.cols-1-2> :last-child {
    flex-basis: 600px;
    flex-grow: 1;
}


.floatLeft {
    float: left;
    margin-right: 45px;
    margin-bottom: 15;
    max-width: 100%;
}

.floatRight {
    float: right;
    margin-left: 45px;
    margin-bottom: 15;
    max-width: 100%;
}

.floatEnd {
    float: inline-end;
    margin-inline-start: 45px;
    margin-bottom: 15;
    max-width: 100%;
}

.floatStart {
    float: inline-start;
    margin-inline-end: 45px;
    margin-bottom: 15;
    max-width: 100%;
}

.rtlSpan {
    direction: rtl;
    unicode-bidi: bidi-override;
}

.ltrSpan {
    direction: ltr;
    unicode-bidi: bidi-override;
}

.topImage {
    width: 100%;
    object-fit: cover;
    height: var(--topImageHeight);
    margin-bottom: calc(var(--topImageHeight) * -0.35);
    /* margin-bottom: -105px; */
}

.w50 {
    width: 50%;
}

.w25 {
    width: 25%;
}

.w300px {
    width: 300px;
    max-width: 100%;
}

.imageBox,
.picturesRow div {
    text-align: center;
    font-size: 90%;
    line-height: 1.5em;
}

.imageBox img {
    display: block;
    width: 100%;
    margin-bottom: 15px;
}

.picturesRow {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: space-around;
    margin: 40px 0;
}

.picturesRow img {
    display: block;
    margin: 0 auto 15px;
    height: 300px;
}

.swiper-slide {
    place-items: center;

}

.floatLeft400px {
    float: left;
    margin-right: 45px;
    margin-bottom: 15;
    width: 400px;
}

.floatEnd400px {
    float: inline-end;
    margin-inline-start: 45px;
    margin-bottom: 15;
    width: 400px;
}

@media only screen and (max-width: 1000px) {

    .floatLeft400px,
    .floatEnd400px {
        float: none;
        display: block;
        margin-right: auto;
        margin-left: auto;
        max-width: 100%;
    }
}

.formGroup {
    width: 100%;
    background: #fff;
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(min(450px, 100%), 1fr));
    border-radius: 5px;
    margin: 0 0 20px 0;
    gap: 20px;

    h2 {
        grid-column: 1 / -1;
    }

    input:not([type=checkbox], [type=radio], [type=submit]),
    textarea {
        width: 100%;
    }

    >div {
        label {
            display: block;
            font-size: 80%;
            margin-bottom: -0.3em;
        }
    }

    .optionGroup {
        display: flex;
        gap: 10px;
        align-items: center;
        flex-wrap: wrap;

        >div {
            display: flex;
            white-space: nowrap;
        }
    }
}

.buttons {
    width: 100%;
    display: flex;
    gap: 5px;
    justify-content: end;
}

.onImageTitle {
    color: white;
    text-shadow: 1px 1px 10px black, 3px 3px 3px black;
    margin-bottom: calc(var(--topImageHeight) *.35);
    font-size: 25px;
    font-weight: 900;
    margin-top: 0;
    line-height: 0;
    white-space: nowrap;
}

.‌centerImage {
    display: block;
    max-width: 100%;
    margin-inline: auto;
}

.message {
    color: red;
    padding: 15px;
    border-radius: 15px;
}

.message.OK {
    background: green;
}

dialog {
    border: 1px solid var(--color1);
    border-radius: 2px;
    box-shadow: 0 5px 25px -18px #000;
    max-width: min(1200px, 90svw);
    padding: 0;

    header {
        font-size: 16px;
        font-weight: 400;
        border-bottom: 1px solid lightgray;
        padding: 12px;
    }

    data {
        padding: 30px;
        display: block;
    }

    .closeBtn {
        cursor: pointer;
        font-family: webIcons;
        position: absolute;
        top: 10px;
        left: 10px;
        color: gray;

        &:hover {
            color: var(--color2);
        }

        &::before {
            content: 'close';
        }
    }
}

.tabLabels {
    display: flex;
    gap: 5px;
    width: 100%;

    >* {
        background: lightgray;
        color: white;
        padding: 5px 10px;
        border-radius: 5px 5px 0 0;
        cursor: pointer;

        &:hover {
            background-color: var(--color2);
        }
    }

    input {
        display: none;
    }

    >*:has(input:checked) {
        background-color: var(--color1);
    }
}

.tabRadio {
    display: none;
}

.tabRadio:not(:checked)+.tabPage {
    display: none;
}

.tabWrapper:has(.tabRadio:nth-of-type(1):checked) .tabLabels label:nth-of-type(1),
.tabWrapper:has(.tabRadio:nth-of-type(2):checked) .tabLabels label:nth-of-type(2),
.tabWrapper:has(.tabRadio:nth-of-type(3):checked) .tabLabels label:nth-of-type(3) {
    background-color: var(--color2);

}

.sectionTitle {
    text-align: center;
    font-weight: bold;
    font-size: 20px;
    margin-block: 40px;

    &::after,
    &::before {
        content: '*';
        font-family: webIcons;
        margin-inline: .7em;
        color: var(--color2)
    }
}

.thumbsBarSwiper {
    padding: 15px;

    .swiper-wrapper {
        height: unset !important;
    }
}

.grayText {
    color: gray;
}

.pageMenu {
    position: sticky;
    top: var(--headerHeight);
    background-color: var(--color1Light);
    display: flex;
    gap: 25px;
    padding: 10px;
    margin-block: 10px;
    width: 100%;

    >* {
        color: white;
        border-bottom: 1px solid white;
        transition: 0.5s color;

        &:hover {
            border-color: var(--color2);
        }
    }



}

:target {
    scroll-margin-top: 180px;
}

.responsiveGrid {
    --colWidth: 250px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(min(var(--colWidth), 100%), 1fr));
    gap: 10px;
}

.serverMessage {
    background-color: var(--lightGray);
    text-align: center;

    &.success {
        color: green;
    }
}

.formComment {
    color: gray;
    font-size: 80%;
}

.password-eye-wrapper {
    position: relative;
    display: inline-block;
    width: 100%;
    direction: ltr;

    input {
        width: 100%;
        padding-right: 12px !important;
        box-sizing: border-box;
    }

    .password-eye-btn {
        &::before {
            content: 'eye';
            font-family: webIcons;
            font-size: 1.1rem;
            color: gray;

        }

        &.active::before {
            color: var(--color2);
        }

        display: block;
        place-content: center;
        position: absolute;
        top: 50%;
        right: 8px;
        transform: translateY(-50%);
        background: none;
        border: none;
        cursor: pointer;
        padding:0;
        margin:0;

        &:hover,
        &:focus {
            color: var(--color2);
        }

    }

    .eye-icon {
        display: block;
    }
}

.input-numspin-element {
    button {
        background-color: unset;
        color: gray;
        border: none;
        font-size: 200%;
        line-height: 50%;
        font-weight: 200;
        height: 55px;
        padding-block: 0;

        &:hover {
            color: var(--color2)
        }
    }

    input {
        border: none;
        width: min-content;
        width: 30px;
        padding-inline: 5px;
        text-align: center;

    }
}

.spaceBetween {
    display: flex;
    justify-content: space-between;
    align-items: center;

    >* {
        white-space: nowrap;
    }
}

.flexStretch {
    display: flex;
    gap: 15px;
    justify-content: space-between;
    flex-wrap: wrap;

    >* {
        flex-grow: 1;
    }


}

.boxOption {
    padding: 15px;
    border: 1px solid lightgray;
    display: flex;
    align-items: start;
    gap: 10px;
    cursor: pointer;

    data {
        flex-grow: 2;
    }

    * {
        cursor: pointer;
    }


    &:has(input:checked) {
        border-color: var(--color1);
        color: var(--color1)
    }

    &:has(input:disabled) {
        color: lightgray;

        small {
            color: lightGray !important;
        }
    }

}

.flexStart {
    display: flex;
    gap: 15px;
    justify-content: start;
}

.formGroup.flex {
    display: flex;
    flex-wrap: wrap;
    gap: 5px 20px;

    >* {
        display: flex;
        gap: 0 5px;
    }
}

.flex3 {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;

    >* {
        flex: 0 0 calc(33.333% - 14px);
    }
}

.numberFormat {
    text-align: left;
    direction: ltr;
}

.inputGroup {
    display: flex;
    align-items: stretch;
    overflow: hidden;

    input {}

    .inputAddon {
        place-content: center;
        border: 1px solid gainsboro;
        border-right: none;
        width: 4em;
        text-align: center;
        user-select: none;
    }
}



.pagePath {
    display: flex;
    justify-content: space-between;
    padding: 0;

    li {
        position: relative;
        flex-grow: 1;
        list-style: none;
        padding: 0;
        display: flex;
        justify-content: center;
        line-height: 45px;
        font-size: 10px;

        &::before {
            content: '';
            width: 100%;
            border-bottom: 2px solid var(--color1Light);
            position: absolute;
        }

        &::after {
            content: '';
            font-family: webIcons;
            width: 10px;
            height: 10px;
            border: 3px solid var(--color1Light);
            position: absolute;
            top: -8px;
            border-radius: 8px;
            background-color: white;
            line-height: 0;
            place-content: center;
            text-align: center;
            color: white;
        }

        &.checked::after {
            background-color: var(--color1);
            content: 'checkmark';
        }

        &.current::after {
            background-color: var(--color2);
            color: var(--color2);
        }

        &:first-child::before {
            width: 50%;
            left: 0;
        }

        &:last-child::before {
            width: 50%;
            right: 0;
        }
    }
}

.note {
    color: red;
    margin-block: 10px;
}

.highNote {
    background-color: color-mix(in srgb, var(--color2) 50%, white);
    color: var(--color1);
    margin-block: 10px;
    padding: 15px;
    border-radius: 15px;

    strong {
        color: red;
    }
}

#orderSpecs {
    display: grid;
    grid-template-columns: max-content auto;

    >* {
        padding: 10px;
        margin: 0;
        border-bottom: 1px solid lightgray;
    }

}

.grid1 {
    display: grid;
    gap: 10px;
}

/* #ayyarehPlus {
    margin: 10px 20px;
    background-color: var(--color2);
    text-align: center;
    border-radius: 12px;
    padding: 10px;
    color:white;
    max-width: 400px;
    margin-inline: auto;
} */

@media print {
    @page {
        margin: 10mm;      
    }
    .noPrint,
    .plusContainer h1::before,
    .plusContainer h1::after,
    #bottomMenuSection,
    header #ayyarehPlus,
    header #plusCalls,
    header #mobileMenuIcon,
    header #mobileUserMenus,
    #headerBanner,
    footer,
    nav,
    header #userMenus,
    .buttons,
    .headerVIPNote {
        display: none !important;
    }

    :root {
        --headerHeight: 2cm !important;
    }

    body,
    main,
    #headerWrapper,
    #headerContainer {
        background-color: white !important;
        position: relative;
    }

    body {
        font-size: 7pt !important;
        line-height: 10pt !important;
        font-weight: 200 !important;
    }

    #headerWrapper {
        border-bottom: 1px solid black;
    }

    header #logo {
        filter: grayscale(100%) brightness(0);
        display: flex;
        align-items: end;
        height: 1.5cm;

        &::after {
            content: 'سامانه آنلاین خرید و فروش طلا';
            font-size: 10px;
            font-weight: bold;
            margin-right: 15px;
            white-space: nowrap;
        }
    }
    input{
        border:none;
    }

}

    .ayyarehList{
        li {
        list-style: none;
        text-indent: -25px;

        &::before {
            content: '';
            width: 20px;
            height: 20px;
            display: inline-block;
            background-image: url('/general/images/ayyareh-list-icon.webp');
            background-size: contain;
            background-repeat: no-repeat;
            margin-inline-end: 5px;
            vertical-align: middle;
        }

    }
}
